## org.firebirdsql.pool
Class FBPooledDataSourceFactory

    java.lang.Object
      org.firebirdsql.pool.FBPooledDataSourceFactory

    public class FBPooledDataSourceFactory

extends Object

Creates Pooled DataSource objects.

Author:
  Steven Jardine

Constructor Summary
`FBPooledDataSourceFactory()`

Method Summary
`static AbstractDriverConnectionPoolDataSource` `createDriverConnectionPoolDataSource()`
`static AbstractFBConnectionPoolDataSource` `createFBConnectionPoolDataSource()`
`static AbstractFBConnectionPoolDataSource` `getFBConnectionPoolInstance(Reference reference, Name name, Context context, Hashtable environment)` Creates an objectFactory and returns an object instance of AbstractFBConnectionPoolDataSource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBPooledDataSourceFactory

    public FBPooledDataSourceFactory()

Method Detail

### createDriverConnectionPoolDataSource

    public static AbstractDriverConnectionPoolDataSource createDriverConnectionPoolDataSource()

  Returns:
    a new DriverConnectionPoolDatasource object.

### createFBConnectionPoolDataSource

    public static AbstractFBConnectionPoolDataSource createFBConnectionPoolDataSource()

  Returns:
    a new FBConnectionPoolDataSource object.

### getFBConnectionPoolInstance

    public static AbstractFBConnectionPoolDataSource getFBConnectionPoolInstance(Reference reference,
                                                                                 Name name,
                                                                                 Context context,
                                                                                 Hashtable environment)
                                                                          throws FBSQLException

  Creates an objectFactory and returns an object instance of AbstractFBConnectionPoolDataSource.

  Throws:
    `FBSQLException`

Copyright © 2001-2010. All Rights Reserved.